import { ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { NgxBootstrapIconsPickerService } from "./lib.service";
import * as i0 from "@angular/core";
export declare class NgxBootstrapIconsPickerComponent implements OnInit {
    private el;
    private cdr;
    private service;
    dialogElement: any;
    ipPosition: string;
    ipHeight: number;
    ipMaxHeight: number;
    ipWidth: number;
    ipIconSize: number;
    ipIconVerticalPadding: number;
    ipIconHorizontalPadding: number;
    ipButtonStyleClass: string;
    ipInputSearchStyleClass: string;
    ipDivSearchStyleClass: string;
    ipKeepSearchFilter: boolean;
    ipPlaceHolder: string;
    ipFallbackIcon: string;
    show: boolean;
    hidden: boolean;
    top: number;
    left: number;
    position: string;
    arrowTop: number;
    selectedIcon: string;
    buttonWidth: number;
    buttonHeight: number;
    icons: string[];
    search: string;
    private directiveInstance;
    private initialIcon;
    private directiveElementRef;
    private listenerMouseDown;
    private listenerResize;
    private dialogArrowSize;
    constructor(el: ElementRef, cdr: ChangeDetectorRef, service: NgxBootstrapIconsPickerService);
    ngOnInit(): void;
    setDialog(instance: any, elementRef: ElementRef, icon: string, ipPosition: string, ipHeight: string, ipMaxHeight: string, ipWidth: string, ipPlaceHolder: string, ipFallbackIcon: string, ipIconSize: string, ipIconVerticalPadding: string, ipIconHorizontalPadding: string, ipButtonStyleClass: string, ipDivSearchStyleClass: string, ipInputSearchStyleClass: string, ipKeepSearchFilter: string): void;
    setInitialIcon(icon: string): void;
    openDialog(icon: string): void;
    setSearch(val: string): void;
    selectIcon(icon: string): void;
    onMouseDown(event: any): void;
    openIconPicker(): void;
    closeIconPicker(): void;
    onResize(): void;
    setDialogPosition(): void;
    isDescendant(parent: any, child: any): boolean;
    createBox(element: any, offset: boolean): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxBootstrapIconsPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxBootstrapIconsPickerComponent, "lib-ngx-bootstrap-icons-picker", never, {}, {}, never, never, false, never>;
}
