import { ElementRef, EventEmitter, OnChanges, OnInit, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class NgxBootstrapIconsPickerIconPickerDirective implements OnInit, OnChanges {
    private vcRef;
    private el;
    iconPicker: string;
    bipWidth: string;
    bipHeight: string;
    bipMaxHeight: string;
    bipIconSize: string;
    bipIconVerticalPadding: string;
    bipIconHorizontalPadding: string;
    bipKeepSearchFilter: string;
    bipPosition: string;
    bipFallbackIcon: string;
    bipPlaceholder: string;
    bipButtonStyleClass: string;
    bipDivSearchStyleClass: string;
    bipInputSearchStyleClass: string;
    iconPickerSelect: EventEmitter<string>;
    private dialog;
    private created;
    private ignoreChanges;
    constructor(vcRef: ViewContainerRef, el: ElementRef);
    onClick(): void;
    ngOnChanges(changes: any): void;
    ngOnInit(): void;
    openDialog(): void;
    iconSelected(icon: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxBootstrapIconsPickerIconPickerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxBootstrapIconsPickerIconPickerDirective, "[iconPicker]", never, { "iconPicker": { "alias": "iconPicker"; "required": false; }; "bipWidth": { "alias": "bipWidth"; "required": false; }; "bipHeight": { "alias": "bipHeight"; "required": false; }; "bipMaxHeight": { "alias": "bipMaxHeight"; "required": false; }; "bipIconSize": { "alias": "bipIconSize"; "required": false; }; "bipIconVerticalPadding": { "alias": "bipIconVerticalPadding"; "required": false; }; "bipIconHorizontalPadding": { "alias": "bipIconHorizontalPadding"; "required": false; }; "bipKeepSearchFilter": { "alias": "bipKeepSearchFilter"; "required": false; }; "bipPosition": { "alias": "bipPosition"; "required": false; }; "bipFallbackIcon": { "alias": "bipFallbackIcon"; "required": false; }; "bipPlaceholder": { "alias": "bipPlaceholder"; "required": false; }; "bipButtonStyleClass": { "alias": "bipButtonStyleClass"; "required": false; }; "bipDivSearchStyleClass": { "alias": "bipDivSearchStyleClass"; "required": false; }; "bipInputSearchStyleClass": { "alias": "bipInputSearchStyleClass"; "required": false; }; }, { "iconPickerSelect": "iconPickerSelect"; }, never, never, false, never>;
}
